<html xmlns:th="http://www.thymeleaf.org">
	<body>
		<ul
			th:fragment="table"
			class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 2xl:grid-cols-4 gap-6"
		>
			<li
				th:each="data : ${curriculumSubjectList}"
				class="relative overflow-hidden rounded-xl shadow p-4 sm:p-6 bg-white hover:bg-gray-100 dark:bg-gray-800 dark:hover:bg-gray-900 group"
			>
				<div class="space-y-1">
					<button
						id="menu-dropdown-button"
						th:data-dropdown-toggle="${'menu-dropdown-'+ data.id}"
						class="absolute top-0 right-0 p-2 rounded-bl-xl text-gray-400 hover:bg-gray-200 dark:hover:bg-gray-700"
					>
						<svg
							class="w-6 h-6"
							aria-hidden="true"
							xmlns="http://www.w3.org/2000/svg"
							width="24"
							height="24"
							fill="none"
							viewBox="0 0 24 24"
						>
							<path
								stroke="currentColor"
								stroke-linecap="round"
								stroke-width="2.5"
								d="M12 6h.01M12 12h.01M12 18h.01"
							/>
						</svg>
					</button>
					<div
						th:id="${'menu-dropdown-'+ data.id}"
						class="z-10 hidden overflow-hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44 dark:bg-gray-700"
					>
						<ul>
							<li>
								<button
									th:attr="data-id=${data.id},
									data-prodi=${data.institutionProdi.id},
									data-curriculum=${data.curiculum.id},
									data-semester=${data.semester},
									data-subject=${data.subject.id},
									data-sks=${data.sks},
									data-akses=${data.aksesSubject},
									data-book=${data.bookReference},
									data-transcript=${data.allowTranskript},
									data-silabus=${data.silabus},
									data-concentration=${data.institutionConcentration != null ? data.institutionConcentration.id : ''}"
									onclick="editCurriculumSubject(this)"
									data-drawer-target="formDrawer"
									data-drawer-show="formDrawer"
									data-drawer-placement="right"
									aria-controls="formDrawer"
									class="w-full flex items-center gap-1 text-sm font-medium text-gray-800 dark:text-gray-200 px-4 py-2 hover:bg-gray-200 dark:hover:bg-gray-600"
								>
									<svg
										class="w-5 h-5"
										aria-hidden="true"
										xmlns="http://www.w3.org/2000/svg"
										width="24"
										height="24"
										fill="none"
										viewBox="0 0 24 24"
									>
										<path
											stroke="currentColor"
											stroke-linecap="round"
											stroke-linejoin="round"
											stroke-width="2"
											d="m14.304 4.844 2.852 2.852M7 7H4a1 1 0 0 0-1 1v10a1 1 0 0 0 1 1h11a1 1 0 0 0 1-1v-4.5m2.409-9.91a2.017 2.017 0 0 1 0 2.853l-6.844 6.844L8 14l.713-3.565 6.844-6.844a2.015 2.015 0 0 1 2.852 0Z"
										/>
									</svg>
									Edit
								</button>
							</li>
							<li>
								<a
									th:href="@{'/setting/curriculum/subject/detail'}"
									class="w-full flex items-center gap-1 text-sm font-medium text-gray-800 dark:text-gray-200 px-4 py-2 hover:bg-gray-200 dark:hover:bg-gray-600"
								>
									<svg
										class="w-5 h-5"
										aria-hidden="true"
										xmlns="http://www.w3.org/2000/svg"
										width="24"
										height="24"
										fill="none"
										viewBox="0 0 24 24"
									>
										<path
											stroke="currentColor"
											stroke-width="2"
											d="M21 12c0 1.2-4.03 6-9 6s-9-4.8-9-6c0-1.2 4.03-6 9-6s9 4.8 9 6Z"
										/>
										<path
											stroke="currentColor"
											stroke-width="2"
											d="M15 12a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z"
										/>
									</svg>

									Detail
								</a>
							</li>
							<li th:if="${data.silabus != null}">
								<a
									th:href="@{'#'}"
									class="w-full flex items-center gap-1 text-sm font-medium text-gray-800 dark:text-gray-200 px-4 py-2 hover:bg-gray-200 dark:hover:bg-gray-600"
								>
									<svg
										class="w-5 h-5 text-gray-800 dark:text-white"
										aria-hidden="true"
										xmlns="http://www.w3.org/2000/svg"
										width="24"
										height="24"
										fill="none"
										viewBox="0 0 24 24"
									>
										<path
											stroke="currentColor"
											stroke-linecap="round"
											stroke-linejoin="round"
											stroke-width="2"
											d="M12 13V4M7 14H5a1 1 0 0 0-1 1v4a1 1 0 0 0 1 1h14a1 1 0 0 0 1-1v-4a1 1 0 0 0-1-1h-2m-1-5-4 5-4-5m9 8h.01"
										/>
									</svg>

									Silabus
								</a>
							</li>
						</ul>
					</div>
					<span
						th:text="${data.subject.code}"
						class="bg-orange-500 text-white text-sm font-medium px-2.5 py-1 rounded-md"
						>MB001</span
					>
					<h5
						th:text="${data.subject.subjectName}"
						class="text-base font-medium text-gray-900 dark:text-white"
					>
						Manajemen Keuangan Syariah
					</h5>
				</div>
				<ul role="list" class="space-y-3 mt-4">
					<li>
						<div class="flex items-start gap-2">
							<svg
								class="w-5 h-5 shrink-0 text-orange-600 group-hover:text-orange-400"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M12 6.03v13m0-13c-2.819-.831-4.715-1.076-8.029-1.023A.99.99 0 0 0 3 6v11c0 .563.466 1.014 1.03 1.007 3.122-.043 5.018.212 7.97 1.023m0-13c2.819-.831 4.715-1.076 8.029-1.023A.99.99 0 0 1 21 6v11c0 .563-.466 1.014-1.03 1.007-3.122-.043-5.018.212-7.97 1.023"
								/>
							</svg>
							<p
								th:text="${data.sks + ' SKS'}"
								class="text-sm font-medium text-gray-900 dark:text-white"
							>
								3 SKS
							</p>
						</div>
					</li>
					<li>
						<div class="flex items-start gap-2">
							<svg
								class="w-5 h-5 shrink-0 text-orange-600 group-hover:text-orange-400"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M12 6.03v13m0-13c-2.819-.831-4.715-1.076-8.029-1.023A.99.99 0 0 0 3 6v11c0 .563.466 1.014 1.03 1.007 3.122-.043 5.018.212 7.97 1.023m0-13c2.819-.831 4.715-1.076 8.029-1.023A.99.99 0 0 1 21 6v11c0 .563-.466 1.014-1.03 1.007-3.122-.043-5.018.212-7.97 1.023"
								/>
							</svg>
							<p
								th:text="${data.curiculum.curiculumName}"
								class="text-sm font-medium text-gray-900 dark:text-white"
							>
								Kurikulum Merdeka
							</p>
						</div>
					</li>
					<li>
						<div class="flex items-start gap-2">
							<svg
								class="w-5 h-5 shrink-0 text-orange-600 group-hover:text-orange-400"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M12 6.03v13m0-13c-2.819-.831-4.715-1.076-8.029-1.023A.99.99 0 0 0 3 6v11c0 .563.466 1.014 1.03 1.007 3.122-.043 5.018.212 7.97 1.023m0-13c2.819-.831 4.715-1.076 8.029-1.023A.99.99 0 0 1 21 6v11c0 .563-.466 1.014-1.03 1.007-3.122-.043-5.018.212-7.97 1.023"
								/>
							</svg>
							<p
								th:text="${'Jurusan ' + data.institutionProdi.prodiName}"
								class="text-sm font-medium text-gray-900 dark:text-white"
							>
								Jurusan Manajemen Bisnis Syariah
							</p>
						</div>
					</li>
					<li th:if="${data.institutionConcentration != null}">
						<div class="flex items-start gap-2">
							<svg
								class="w-5 h-5 shrink-0 text-orange-600 group-hover:text-orange-400"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M12 6.03v13m0-13c-2.819-.831-4.715-1.076-8.029-1.023A.99.99 0 0 0 3 6v11c0 .563.466 1.014 1.03 1.007 3.122-.043 5.018.212 7.97 1.023m0-13c2.819-.831 4.715-1.076 8.029-1.023A.99.99 0 0 1 21 6v11c0 .563-.466 1.014-1.03 1.007-3.122-.043-5.018.212-7.97 1.023"
								/>
							</svg>
							<p
								th:text="${'Konsentrasi ' + data.institutionConcentration.concentrationName}"
								class="text-sm font-medium text-gray-900 dark:text-white"
							></p>
						</div>
					</li>
					<li>
						<div class="flex items-start gap-2">
							<svg
								class="w-5 h-5 shrink-0 text-orange-600 group-hover:text-orange-400"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M12 6.03v13m0-13c-2.819-.831-4.715-1.076-8.029-1.023A.99.99 0 0 0 3 6v11c0 .563.466 1.014 1.03 1.007 3.122-.043 5.018.212 7.97 1.023m0-13c2.819-.831 4.715-1.076 8.029-1.023A.99.99 0 0 1 21 6v11c0 .563-.466 1.014-1.03 1.007-3.122-.043-5.018.212-7.97 1.023"
								/>
							</svg>
							<p
								th:text="${'Semester ' + data.semesterRoman}"
								class="text-sm font-medium text-gray-900 dark:text-white"
							>
								Semester IV
							</p>
						</div>
					</li>

					<li>
						<div class="flex items-start gap-2">
							<svg
								class="w-5 h-5 shrink-0 text-orange-600 group-hover:text-orange-400"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M12 6.03v13m0-13c-2.819-.831-4.715-1.076-8.029-1.023A.99.99 0 0 0 3 6v11c0 .563.466 1.014 1.03 1.007 3.122-.043 5.018.212 7.97 1.023m0-13c2.819-.831 4.715-1.076 8.029-1.023A.99.99 0 0 1 21 6v11c0 .563-.466 1.014-1.03 1.007-3.122-.043-5.018.212-7.97 1.023"
								/>
							</svg>
							<p class="text-sm font-medium text-gray-900 dark:text-white">
								Referensi Buku :
								<span
									th:text="${data.bookReference != null && !#strings.isEmpty(data.bookReference) ? data.bookReference : '-'}"
								></span>
							</p>
						</div>
					</li>
					<li>
						<div class="flex items-start gap-2">
							<svg
								class="w-5 h-5 shrink-0 text-orange-600 group-hover:text-orange-400"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M12 6.03v13m0-13c-2.819-.831-4.715-1.076-8.029-1.023A.99.99 0 0 0 3 6v11c0 .563.466 1.014 1.03 1.007 3.122-.043 5.018.212 7.97 1.023m0-13c2.819-.831 4.715-1.076 8.029-1.023A.99.99 0 0 1 21 6v11c0 .563-.466 1.014-1.03 1.007-3.122-.043-5.018.212-7.97 1.023"
								/>
							</svg>
							<p class="text-sm font-medium text-gray-900 dark:text-white">
								Tampilkan di Transkip :
								<span
									th:text="${data.allowTranskript ? 'Tampil' : 'Tidak'}"
								></span>
							</p>
						</div>
					</li>
				</ul>
			</li>
		</ul>
	</body>
</html>
